package com.qmth.eds.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.eds.common.entity.ExamSyncStudent;
import com.qmth.eds.mapper.ExamSyncStudentMapper;
import com.qmth.eds.service.ExamSyncStudentService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ExamSyncStudentServiceImpl extends ServiceImpl<ExamSyncStudentMapper, ExamSyncStudent> implements ExamSyncStudentService {
    @Override
    public List<ExamSyncStudent> listByExamSyncTotalId(Long examSyncTotalId) {
        QueryWrapper<ExamSyncStudent> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(ExamSyncStudent::getExamSyncTotalId, examSyncTotalId);
        return this.list(queryWrapper);
    }
}
